Valentines Day
Page 1 of 4 1234 LastLast
Results 1 to 10 of 34

Thread: Downgrading of v1.51/v1.52 PSPs to v1.5 !!

                  
   
  1. #1
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    48
    Posts
    128,372
    Blog Entries
    3209
    Rep Power
    50

    Default Downgrading of v1.51/v1.52 PSPs to v1.5 !!

    Speculation is rife about a rumour that Yoshihiro and Team Wab have somehow worked out a way to downgrade the as yet non homebrew PSP consoles to v1.5 so in other words we may yet see some very exciting news

    I will as soon as i chat to Yoshiihiro and get more information get back to you but i trust both him and team wab so this could be the news we have all been waiting for.

  2. #2

    Default

    Man...heh, I figured they'd find an exploit for 2.0 before this....

    So many people were advising to just upgrade to 2.0 as 1.51 and 1.52 would be skipped...

    Yet another mistake in my dealing with this system...

    Can't wait to unlock the potential of this device..good find tho!

  3. #3
    DCEmu Newbie
    Join Date
    Jun 2005
    Posts
    32
    Rep Power
    0

    Default

    If this is true then that's great news would be better to bring it down to 1.0 but still very nice I'm guessing it will be for the american versions and not the japanese but hopfully that will come along also.

  4. #4

    Default

    everyone said (on forums) that if you have 1.5X you should upgrade to 2.00
    . so i upgraded my 1.52 :'( , is there going to be a downgrade for 2.00 too?
    plz plz plz plz plz plz

  5. #5
    DCEmu Newbie
    Join Date
    Aug 2005
    Location
    Southern California
    Posts
    31
    Rep Power
    0

    Default

    Wow that was fast.

  6. #6
    DCEmu Regular
    Join Date
    May 2005
    Location
    Japan
    Age
    43
    Posts
    452
    Rep Power
    53

    Default

    Sorry, but I have to be a skeptic on this one. If you can get an update to even LOAD from a 1.51 or 1.52, for you to be ABLE to downgrade, then you could also get the homebrew to run and the whole thing would be pointless. This is unless they could simply hack an official 1.50 update file to think it's a 2.0 or whatever, and hacking it won't ruin the workings of the digital signature...


    But again, in this case, it would end up still working for a 2.0 as well, but they only say 1.51 and 1.52?.... something smells fishy

  7. #7
    DCEmu Newbie WSOUNitePirate895's Avatar
    Join Date
    Jun 2005
    Location
    NJ, USA
    Posts
    70
    Rep Power
    0

    Thumbs up Downgrade 1.5x to 1.50?!

    from pspupdates.com, psp-spot

    "Downgrade 1.5x to 1.50?!
    Yoshihiro from Team Wab just revealed that he managed to downgrade 1.5x PSPs back to 1.50. He will release the method on September, 1st. w00t! Yoshihiro has stated that the reason for the delayed release is that the program is still buggy, and there is still a risk of bricking the PSP. For those of you who have upgraded to 1.51 or 1.52, or never had the chance to play homebrew before, stay tuned!"

  8. #8
    DCEmu Newbie
    Join Date
    Jun 2005
    Posts
    55
    Rep Power
    0

    Default

    Hmmmm downgrade at the risk of bricking your PSP....

    Nice they are doing this, but ultimately the answer is just fooling newer titles into thinking you have whatever version they are looking for.

    But at least it increases the number of PSP's where you can run homebrew.

  9. #9
    DCEmu Legend shadowprophet's Avatar
    Join Date
    May 2005
    Location
    IFeedOffYourFearS
    Age
    42
    Posts
    3,101
    Rep Power
    77

    Thumbs up This is great news

    Ive got a 1.5. But somday it'll give out.
    Sony didnt build those to last forever
    I hope this turns out to be true, that way, Somday when I finely have to get another psp, I'lll know I can still play my homebrew
    Cross your fingers ppl

  10. #10
    DCEmu Pro YourStillWithMe's Avatar
    Join Date
    Jun 2005
    Location
    C.T
    Age
    31
    Posts
    724
    Rep Power
    55

    Default This is great and dumb at the same time.

    I mean no disrespect to Yoshiro and team WAB whats so ever but if they can figure out a way to run a program in 1.51 and 1.52 why in the hell dont they just explain how they did it or create a program to run other programs on it? (hence homebrew) I feel the same as WSOUNitePirate895. . . .Besides there is the risk of F***ing up your PSP. I don't know about you, but if I had a 1.51 or .52 I would not try this out and risk losing 260+ dollars. Would you?

    I think that people should focus on the 2.0 version right now because the update file has been decrypted and, they've already found some way of running homebrew through the offline portal, someone figured out how to get past the loading screen and run a program by tricking the system into thinking it was an update, and also someone figured out what kinds of files the psps ver firmware 2.00 recognizes. Plus, in the future were probably going to have to upgrade to 2.0 in the next month or so when newer games come out. (possibly GTA and Medievil for example) Just think about it Sony also has the White PSP that's going to be a version 2.00 coming out. Wouldn't that be more logical?

Page 1 of 4 1234 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •